games/toppler - The NetBSD Packages Collection

Tower Toppler/Nebulous clone

In this game you have to help a cute little green animal switch
off some kind of "evil" mechanism. The "power off switch" is hidden
somewhere in high towers. On your way to the target you need to
avoid a lot of strange robots that guard the tower.

That sounds all like a normal jump and run game. What makes this
game different is that you walk arond the tower which is revolving
on the screen, so that you only see the 180 degrees that are
currently visible.

The game is a reimplementation of the old game known as Tower
Toppler or Nebulus.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/libtool-base

Runtime dependencies

devel/SDL audio/SDL_mixer sysutils/desktop-file-utils devel/SDL audio/SDL_mixer sysutils/desktop-file-utils

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hftoppler-1.1.6nb1.tgz
NetBSD 8.0earmv7hftoppler-1.1.6nb1.tgz
NetBSD 8.0i386toppler-1.1.6nb1.tgz
NetBSD 8.0i386toppler-1.1.6nb1.tgz
NetBSD 8.0i386toppler-1.1.6nb1.tgz
NetBSD 8.0powerpctoppler-1.1.6nb1.tgz
NetBSD 8.0powerpctoppler-1.1.6nb1.tgz
NetBSD 8.0powerpctoppler-1.1.6nb1.tgz
NetBSD 8.0x86_64toppler-1.1.6nb1.tgz
NetBSD 8.0x86_64toppler-1.1.6nb1.tgz
NetBSD 9.0aarch64toppler-1.1.6nb1.tgz
NetBSD 9.0aarch64toppler-1.1.6nb1.tgz
NetBSD 9.0aarch64toppler-1.1.6nb1.tgz
NetBSD 9.0alphatoppler-1.1.6nb1.tgz
NetBSD 9.0alphatoppler-1.1.6nb1.tgz
NetBSD 9.0alphatoppler-1.1.6nb1.tgz
NetBSD 9.0earmv6hftoppler-1.1.6nb1.tgz
NetBSD 9.0earmv6hftoppler-1.1.6nb1.tgz
NetBSD 9.0earmv6hftoppler-1.1.6nb1.tgz
NetBSD 9.0earmv6hftoppler-1.1.6nb1.tgz
NetBSD 9.0earmv7hftoppler-1.1.6nb1.tgz
NetBSD 9.0earmv7hftoppler-1.1.6nb1.tgz
NetBSD 9.0earmv7hftoppler-1.1.6nb1.tgz
NetBSD 9.0earmv7hftoppler-1.1.6nb1.tgz
NetBSD 9.0i386toppler-1.1.6nb1.tgz
NetBSD 9.0i386toppler-1.1.6nb1.tgz
NetBSD 9.0mips64ebtoppler-1.1.6nb1.tgz
NetBSD 9.0mips64ebtoppler-1.1.6nb1.tgz
NetBSD 9.0mips64ebtoppler-1.1.6nb1.tgz
NetBSD 9.0powerpctoppler-1.1.6nb1.tgz
NetBSD 9.0powerpctoppler-1.1.6nb1.tgz
NetBSD 9.0sparc64toppler-1.1.6nb1.tgz
NetBSD 9.0sparc64toppler-1.1.6nb1.tgz
NetBSD 9.0sparc64toppler-1.1.6nb1.tgz
NetBSD 9.0sparctoppler-1.1.6nb1.tgz
NetBSD 9.0x86_64toppler-1.1.6nb1.tgz
NetBSD 9.0x86_64toppler-1.1.6nb1.tgz
NetBSD 9.0x86_64toppler-1.1.6nb1.tgz
NetBSD 9.0x86_64toppler-1.1.6nb1.tgz
NetBSD 9.0x86_64toppler-1.1.6nb1.tgz
NetBSD 9.0x86_64toppler-1.1.6nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.